Name:           maven-stapler-plugin
Version:        1.17
Release:        3%{?dist}
Summary:        Maven plugin for Stapler

# 2-clause BSD license, specified in pom file
# the project contains few .java files licensed under ASL 2.0
License:        BSD and ASL 2.0
URL:            https://github.com/stapler/maven-stapler-plugin.git
Source0:        https://github.com/stapler/%{name}/archive/%{name}-%{version}.tar.gz
# License text copied from http://opensource.org/licenses/bsd-license.php
# Upstream doesn't care about license texts in repository (license is specified in pom file)
Source1:        LICENSE.txt
Source2:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(dom4j:dom4j)
BuildRequires:  mvn(jaxen:jaxen)
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-javac)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-manager)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:  mvn(org.kohsuke.stapler:stapler)
BuildRequires:  mvn(qdox:qdox)
# TODO: this should be pulled in by some other package
BuildRequires:  mvn(net.sf.ezmorph:ezmorph)


%description
This package contains Apache Maven plugin for Stapler Web Framework.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_plugin :animal-sniffer-maven-plugin

cp %{SOURCE1} LICENSE
cp %{SOURCE2} LICENSE-ASL

# Remove jelly-taglibdoc mojo goal, we don't have maven-jellydog-plugin
rm -Rf src/main/java/org/kohsuke/stapler/TaglibDocMojo.java
%pom_remove_dep :maven-jellydoc-plugin


%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE LICENSE-ASL
%files javadoc -f .mfiles-javadoc
%doc LICENSE LICENSE-ASL

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Michal Srb <msrb@redhat.com> - 1.17-1
- Update to upstream version 1.17

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Michal Srb <msrb@redhat.com> - 1.16-3
- Fix directory ownership

* Mon Jun 17 2013 Michal Srb <msrb@redhat.com> - 1.16-2
- Add BR: ezmorph

* Tue Jun 04 2013 Michal Srb <msrb@redhat.com> - 1.16-1
- Initial package

